gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Container Create bars of buttons and other widgets.

A is created with a call to .

Buttons with text and/or images are added with , , and .

Any of , , or an arbitrary widget can be added to the toolbar with , , and .

Widgets can be visibly grouped by adding gaps between widgets using , , and .

- Constructor
  2.12.0.0
  Creates a new toolbar.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  System.Obsolete("Replaced by ToolItem API")
  Gtk.Widget `` `` `` `` `` `` `` a a a a a a a Deprecated. a
- Method
  2.12.0.0
  System.Obsolete("Replaced by ToolItem API")
  Gtk.Widget `` `` `` `` `` a a a a a Deprecated. a
- Method
  2.12.0.0
  System.Obsolete
  System.Void Deprecated. Adds a new space to the end of the toolbar.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` `` A to add to the toolbar. The tooltip for the element. Used for context-sensitive help about this toolbar element. Deprecated. Adds a widget to the end of the given toolbar.
- Method
  2.12.0.0
  System.Int32 `` `` a a Returns the position corresponding to the indicated point on the toolbar. a This is useful when dragging items to the toolbar: this function returns the position a new item should be inserted. and are in toolbar coordinates.
- Method
  2.12.0.0
  System.Int32 `` a Returns the position of on the toolbar, starting from 0. a It is an error if is not a child of the toolbar.
- Method
  2.12.0.0
  Gtk.ToolItem `` a Returns the th item on the toolbar, or if the toolbar does not contain an th item. a
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("icon-size")
  Gtk.IconSize This function sets the size of stock icons in the toolbar. You can call it both before you add the icons and after they have been added. The size you set will override user preferences for the default icon size. The icon size for the toolbar.
- Property
  2.12.0.0
  GLib.Property("icon-size-set")
  System.Boolean Indicates if an Icon size is set. a .
- Method
  2.12.0.0
  System.Void `` `` a a Insert a into the toolbar at position . If is 0 the item is prepended to the start of the toolbar. If is negative, the item is appended to the end of the toolbar.
- Method
  2.12.0.0
  System.Obsolete("Replaced by ToolItem API")
  Gtk.Widget `` `` `` `` `` `` `` `` `` a , the type of widget to add a , the widget itself a , a label for the widget a , simple tooltip text a , context-sensitive detailed help a , the icon to use for this widget a , a callback function to use when the new widget is touched. a , data to pass to the callback. a , the number of toolbar widgets to insert this element after.

  This method is deprecated and should not be used in new code.

  Adds a new button to the beginning of the toolbar (left or top, depending on toolbar orientation).

  If type == , widget is used as the new element. If type == , widget is used to determine the radio group for the new element. In all other cases, widget must be NULL.

  a , the new toolbar element.
- Method
  2.12.0.0
  System.Obsolete("Replaced by ToolItem API")
  Gtk.Widget `` `` `` `` `` `` `` a a a a a a a Deprecated. a
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` The number of widgets after which a space should be inserted. Deprecated. Do not use. Inserts a new space in the toolbar at the specified position.
- Method
  2.12.0.0
  System.Obsolete("Replaced by ToolItem API")
  Gtk.Widget `` `` `` `` `` a a a a a Deprecated a Replaced by ToolItem API.
- Method
  2.12.0.0
  System.Obsolete("Replaced by ToolItem API")
  Gtk.Widget `` `` `` `` `` `` a a a a a a Deprecated. a
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` `` `` a to add to the toolbar. The tooltip for the element. Used for context-sensitive help about this toolbar element. The number of widgets to insert this widget after. Deprecated. Inserts a widget in the toolbar at the given position.
- Property
  2.12.0.0
  Gtk.Container+ContainerChild `` To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  System.Int32 The number of items on the toolbar. a
- Property
  2.12.0.0
  System.Int32 The number of items in the toolbar. The number of itesm.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideOrientationChanged", Type=typeof(Gtk.Toolbar))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePopupContextMenu", Type=typeof(Gtk.Toolbar))
  System.Boolean `` `` `` a a a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideStyleChanged", Type=typeof(Gtk.Toolbar))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  2.12.0.0
  GLib.Property("orientation")
  Gtk.Orientation Sets the of the toolbar to either or . The orientation of the toolbar.
- Event
  2.12.0.0
  GLib.Signal("orientation-changed")
  Gtk.OrientationChangedHandler Used if you wish to perform an action when ever the style of a toolbar is adjusted. For example, this would be a useful signal to connect to if you want to display more items on the toolbar when it is in icon-only mode; each item takes less space on the bar.
- Event
  2.12.0.0
  GLib.Signal("popup_context_menu")
  Gtk.PopupContextMenuHandler Emitted when the user right-clicks the toolbar or uses the keybinding to display a popup menu. Application developers should handle this signal if they want to display a context menu on the toolbar.
- Method
  2.12.0.0
  System.Obsolete("Replaced by ToolItem API")
  Gtk.Widget `` `` `` `` `` `` `` a , the type of widget to add a , the widget itself a , a label for the widget a , simple tooltip text a , context-sensitive detailed help a , the icon to use for this widget a , a callback function to use when the new widget is touched.

  This method is deprecated and should not be used in new code.

  Adds a new button to the beginning of the toolbar (left or top, depending on toolbar orientation).

  If type == , widget is used as the new element. If type == , widget is used to determine the radio group for the new element. In all other cases, widget must be NULL.

  a To be added.
- Method
  2.12.0.0
  System.Obsolete("Replaced by ToolItem API")
  Gtk.Widget `` `` `` `` `` a a a a a Deprecated. a
- Method
  2.12.0.0
  System.Obsolete
  System.Void Deprecated. Adds a new space to the beginning of the toolbar.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` `` a to add to the toolbar. The tooltip for the element. Used for context-sensitive help about this toolbar element. Deprecated. Adds a widget to the beginning of the given toolbar.
- Property
  2.12.0.0
  Gtk.ReliefStyle The relief style of buttons on the toolbar. a
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` The index of the space to remove. Deprecated. Removes a space from the specified position.
- Method
  2.12.0.0
  System.Void `` `` a a To be added To be added
- Property
  2.12.0.0
  GLib.Property("show-arrow")
  System.Boolean Whether to show an arrow if the toolbar doesn't fit. a
- Event
  2.12.0.0
  GLib.Signal("style-changed")
  Gtk.StyleChangedHandler Used if you wish to perform an action when the orientation of a toolbar is changed.
- Property
  2.12.0.0
  GLib.Property("toolbar-style")
  Gtk.ToolbarStyle Alters the view of toolbar to display either icons only, text only, or both. The current style of toolbar.
- Property
  2.12.0.0
  GLib.Property("tooltips")
  System.Boolean Sets if the tooltips of a toolbar should be active or not. Whether tooltips are enabled.
- Method
  2.12.0.0
  System.Void Unsets toolbar icon size set with .
- Method
  2.12.0.0
  System.Void Unsets a toolbar style set with . Unsets a toolbar style set with , so that user preferences will be used to determine the toolbar style.